Bug 734626 - Please write out /etc/timezone at the same time as /etc/localtime!
Summary: Please write out /etc/timezone at the same time as /etc/localtime!
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 00:30 UTC by Lennart Poettering
Modified: 2014-09-30 23:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-20 09:07:07 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-08-31 00:30:59 UTC
Most distributions (at least those based on Debian/Ubuntu and Gentoo) write out /etc/timezone and keep it in sync with /etc/localtime. The latter contains the binary timezone information the former a human readabale string like "Europe/Berlin". Maintaining /etc/timezone has the advantage that UIs which want to show the current timezone name do not have to crawl through /usr/share/zoneinfo to find the original /etc/localtime.

With systemd we try to push the distributions to unify these kind of really basic configuration files, and hence adopted this Debian/Ubuntu/Gentoo scheme since it makes a lot of sense. The systemd mechanism which allows changing of the local timezone will always keep /etc/localtime and /etc/timezone in sync now. I'd like to ask you to write /etc/timezone at the same time as /etc/localtime at system installation with anaconda.

Comment 1 Ales Kozumplik 2011-08-31 10:54:29 UTC
Hi Lennart,

I added this to Anaconda you can try it out by adding updates=http://akozumpl.fedorapeople.org/bz734626.img to the kernel boot line before booting the installer.

Also posted the patch for a review: https://www.redhat.com/archives/anaconda-devel-list/2011-August/msg00401.html.

Comment 2 Ales Kozumplik 2011-08-31 11:12:10 UTC
Also I have a question - is there supposed to be a newline at the end of /etc/timezone ?

Comment 3 Lennart Poettering 2011-08-31 13:13:47 UTC
Thanks, this was quick!

Yes, it should be newline-terminated. Unfortunately there's not man page available for this in the Debian world, but they do add a newline, and so should we.

To make this official I have now added a short man page for this file to systemd:

http://0pointer.de/public/systemd-man/timezone.html

Comment 4 Ales Kozumplik 2011-08-31 13:52:02 UTC
Hi, the change itself is simple but there are concerns from the reviewers. Please join the discussion at:

https://www.redhat.com/archives/anaconda-devel-list/2011-August/msg00401.html

Comment 5 Lennart Poettering 2011-08-31 14:57:48 UTC
Hmm, I am not subscribed to that ML, could you bounce his mail to me, please? That way I can reply in-line.

Comment 6 Ales Kozumplik 2011-09-05 06:36:48 UTC
I think you should be able to participate in the discussion without being subscribed.

Comment 7 Lennart Poettering 2011-09-05 23:52:35 UTC
Yes, and I'd like to respond to the original mail, and for that I need it first. Thus I'd like to ask you to bounce that mail to me! Thanks!

Comment 8 Lennart Poettering 2011-09-05 23:52:53 UTC
(forward as announcement would work too)

Comment 9 Lennart Poettering 2011-09-05 23:53:04 UTC
(forward as attachment would work too)

Comment 10 Ales Kozumplik 2011-09-06 06:30:45 UTC
forwarded.

Comment 11 Ales Kozumplik 2011-09-20 09:07:07 UTC
The patch has not been accepted by reviewers.


Note You need to log in before you can comment on or make changes to this bug.